Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000299 [Yate - Yet Another Telephony Engine] engine tweak always 2012-02-25 06:22 2012-09-10 14:52
Reporter ojab View Status public  
Assigned To paulc
Priority normal Resolution fixed  
Status resolved   Product Version SVN
Summary 0000299: Set safe ulimits in init scripts
Description Yate init script should bump at least `ulimit -n` to more sane value (default on CentOS is 1024, I'll guess 16384 or even unlimited) to prevent related issues.
Additional Information
Tags No tags attached.
Attached Files ? file icon yate_ulimit.patch [^] (2,105 bytes) 2012-03-06 14:43

- Relationships

-  Notes
(0000444)
paulc (administrator)
2012-02-27 11:25

What do you think about adding -F to the Yate command line?

It should do about the same, set the maximum open files to the compiled in FD_SET limit. A higher count is not really useful as select() on such a file handle will fail.
(0000446)
ojab (reporter)
2012-02-27 11:52

Yeah, missed that command line parameter. That will do the trick.
(0000466)
ojab (reporter)
2012-08-22 18:58

Yay, fixed!
(0000472)
paulc (administrator)
2012-09-10 14:52

SVN Rev. 5238 adds -F to the init scripts

- Issue History
Date Modified Username Field Change
2012-02-25 06:22 ojab New Issue
2012-02-27 11:25 paulc Note Added: 0000444
2012-02-27 11:25 paulc Assigned To => paulc
2012-02-27 11:25 paulc Status new => feedback
2012-02-27 11:52 ojab Note Added: 0000446
2012-03-06 14:43 ojab File Added: yate_ulimit.patch
2012-08-22 18:58 ojab Note Added: 0000466
2012-09-10 14:52 paulc Note Added: 0000472
2012-09-10 14:52 paulc Status feedback => resolved
2012-09-10 14:52 paulc Resolution open => fixed


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker